CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
booster::locale::generic_codecvt_base Class Reference

A base class that used to define constants for generic_codecvt. More...

`#include <booster/booster/locale/generic_codecvt.h>`

Inheritance diagram for booster::locale::generic_codecvt_base:

## Public Types
enum | initial_convertion_state { to_unicode_state, from_unicode_state }

## Detailed Description

A base class that used to define constants for generic_codecvt.

## Member Enumeration Documentation

enum booster::locale::generic_codecvt_base::initial_convertion_state

Initail state for converting to or from unicode code points, used by initial_state in derived classes

Enumerator
to_unicode_state | The state would be used by to_unicode functions.
from_unicode_state | The state would be used by from_unicode functions.

The documentation for this class was generated from the following file:

- booster/locale/generic_codecvt.h